// Import required modules
const http = require('http');
const url = require('url');

// Create the server
const server = http.createServer((req, res) => {
    // Parse the request URL
    const parsedUrl = url.parse(req.url, true);

    // Prepare the response content
    const responseContent = {
        method: req.method,
        url: req.url,
        headers: req.headers,
        query: parsedUrl.query,
    };

    // Set the response headers
    res.writeHead(200, { 'Content-Type': 'application/json' });

    // Send the response
    res.end(JSON.stringify(responseContent, null, 2));
});

// Define the server port
const PORT = 3000;

// Start the server
server.listen(PORT, () => {
    console.log(`Server is running on http://localhost:${PORT}`);
});